declare module BA.Ui.Calendar {
    class CalendarTools {
        static AllSelectedAppointments: string[];
        static AllDataSources: string[];
        static DeleteItemUrl: string;
        static GridGuid: string;
        static FormGuid: string;
        static OpenBehavior: string;
        static AutoRefresh: boolean;
        static CanCreateNew: boolean;
        static Calendar: ASPxClientScheduler;
        static SelectedClientTimeInterval: ASPxClientTimeInterval;
        static IsFirstSelectingInterval: boolean;
        static IsDurationEditable: boolean;
        static ShowStatusInToolTip: {
            [key: string]: boolean;
        };
        static CalendarLayoutCofiguration: string;
        static FilterStatusConfig: string;
        static FilterLabelConfig: string;
        static FilterResourceConfig: string;
        static FilterResourceAsEnum: boolean;
        static FilterSelectedStatus: string[];
        static FilterSelectedLabel: string[];
        static FilterSelectedResource: string[];
        static FilterStatusCaption: string;
        static FilterLabelCaption: string;
        static FilterResourceCaption: string;
        static FilterResourceFieldName: string;
        static FilterResourceDataSource: string;
        static CalendarGroupType: string;
        static SelectedTimeIntervals: any;
        static Refresh(): void;
        static OpenAppointment(formGuid: string, appointmentId: string): void;
        static CreateAppointment(formGuid: string, configuration: string, allday: boolean, start: Date, end: Date, resourceValue: string): void;
        static GetAppointmentInterval(interval: ASPxClientTimeInterval, activeViewType: string, allDay: boolean): ASPxClientTimeInterval;
        static OpenRecordClientAction(): void;
        static FixDateFormat(s: any, e: any): void;
        static HandleDragDropAndResize(s: ASPxClientScheduler, dragInformation: ASPxClientAppointmentDragInfo[], e: any): void;
        static HandleStatusOrLabelChanges(s: ASPxClientScheduler, changeField: string, newEnumGuidString: string): void;
        static IsFilterConfigured(): boolean;
        static IsFilterActive(): boolean;
        static OpenFilterDialog(): void;
        static InitFilterIcon(): void;
        static UpdateFilterIconState(): void;
        static RemoveFilterInDialog(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
        static IsAnySelectedRecurring(): boolean;
        static AdjustHeight(): void;
        static ScrollToFirstAppt(): void;
    }
}
