declare module BA.Ui.Controls {
    class HTMLControlEvents {
        private static popUp;
        private static htmlEditor;
        private static editorTarget;
        /**
         * Fired when dialog for upload image or insert link is created (but before dialog is shown)
         * @param s Handle of html control
         * @param e event arguments
         */
        static DialogInitialzed(s: any, e: any): void;
        /**
         * Init mehthod of html control
         * We attach on every ancor tag a onclick function
         * @param s Handle of html control
         * @param e event arguments
         */
        static OnInit(s: any, e: any): void;
        static OnPopUpInit(s: any, e: any): void;
        static OnChanged(s: any, e: any): void;
        static OnBlur(): void;
        static OnFocus(): void;
        private static ChangeHTMLTabsVisibility;
        /**
         * MenuItem commands of the contextmenut in html editor
         */
        static MenuItemCommands: (s: any, e: any) => void;
        /**
         * On custom command. It must be handled
         */
        static OnCustomCommand: (s: any, e: any) => void;
    }
}
